Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 8 reacties
Bron: nVidia, submitter: ERIKvanPAASSEN

nVidia logo (60 pix)Nvidia heeft dinsdag nieuwe *nix displaydrivers uitgebracht met versienummer 256.35, de eerste gecertificeerde drivers uit de 256.x-reeks. Ze zijn beschikbaar voor Linux (32bit), Linux (AMD64/EM64T), Solaris (x64/x86) en FreeBSD. Specifieke installatie-instructies kunnen op de afzonderlijke pagina's worden gevonden. De belangrijkste veranderingen en verbeteringen zijn hieronder op een rijtje gezet.

Release Highlights
  • Fixed a regression in 256.29 where Performance Level clock frequencies were reported incorrectly in nvidia-settings.
  • Fixed a 3D Vision Stereo bug that caused the stereo glasses to not toggle when the flat panel was not running at its native mode timings.
  • Fixed a bug that caused nvidia-settings to crash when rendering its thermal gauge widget if the range of valid values for the thermal sensor was empty.
  • Fixed a bug which prevented use of high performance PowerMizer levels on systems with certain ACPI configurations.
  • Fixed a bug that caused non-primary Fermi GPUs to fail to initialize framebuffer memory. This caused a variety of symptoms, up to and including system hangs.
  • Added unofficial GLX protocol support (i.e., for GLX indirect rendering) for the following OpenGL extensions:
    • GL_ARB_blend_func_extended
    • GL_ARB_draw_buffers_blend
    • GL_ARB_sample_shading
    • GL_ARB_timer_query
    • GL_EXT_draw_buffers2
    • GL_EXT_separate_shader_objects
    • GL_NV_explicit_multisample
    • GL_NV_transform_feedback
  • Improved Thermal Settings reporting in nvidia-settings to accurately reflect hardware configurations with multiple thermal sensors.
  • Fixed an interaction problem between Compiz and 'screen-scraping' VNC servers like x11vnc and vino that caused the screen to stop updating. Fixes Launchpad bug #353126.
  • Enhanced VDPAU to add basic support for Xinerama. VDPAU will now operate on a single physical X screen under Xinerama. See the README for more details.
  • Enhanced VDPAU's handling of corrupt clips of all formats on GPUs with VDPAU feature set C to be at least as good as on GPUs with VDPAU feature set B. This significantly improves various clips provided by nvnews.net user eamiller.
  • Fixed a bug in Xv attribute handling that caused hue, saturation,brightness, and contrast values to be misapplied when using an Xv overlay adaptor.
  • Fixed a bug in the XvMC driver that prevented it from working on systems with AGP graphics cards.
  • Enhanced VDPAU to clear all VdpVideoSurfaces to black when allocated.This provides more consistent results when using a surface as a reference when no prior decode operation has written to that surface.In turn, this improves the results of decoding some corrupt streams,such as "p_only_no_play" from ffmpeg bug 1124.
  • Implemented new APIs to allow sharing VDPAU surfaces with OpenGL andCUDA. The OpenGL extension is GL_NV_vdpau_interop. For CUDA, please see the documentation in the CUDA toolkit for details.
  • Worked around a bug where the combination of a GPU with VDPAU feature set A together with specific motherboard chipsets could cause visible corruption when decoding some MPEG-2 streams
  • Fixed a bug that prevented the VDPAU overlay-based presentation queue from being used more than a few hundred times per X server invocation.
  • Renamed the driver file libGLcore.so.VERSION to libnvidia-glcore.so.VERSION, as a small step towards reducing the filename collisions between NVIDIA's and MESA's OpenGL implementations.This driver file is used by NVIDIA's libGL.so and libglx.so, and should never be used directly by applications.
  • Changed the SONAME of libnvidia-glcore.so.VERSION,libnvidia-tls.so.VERSION, and libnvidia-compiler.so.VERSION to be ".so.VERSION", rather than ".so.1".These driver files are only used by other NVIDIA driver components, and are only intended to be usedby components of the matching NVIDIA driver version.
  • Removed the "-pkg#" suffix from the NVIDIA Linux .run files.The packages are now simply named "NVIDIA-Linux-ARCH-VERSION.run".On Linux-x86_64, a package which omits the 32-bit compatibility libraries is also available: "NVIDIA-Linux-x86_64-VERSION-no-compat32.run"
  • Simplified the directory structure of the Linux extracted package; most driver files are now just contained within the top level directory of the package.Pass the '--list' option to the .run file for details.
  • Removed precompiled kernel interfaces from the NVIDIA Linux-x86 .run file; these were ancient and had not been updated in years.Going forward, NVIDIA does not plan to provide precompiled kernel interfaces with the Linux .run files.However, nvidia-installer and the .run file will retain the ability for users to add their own precompiled kernel interfaces via the '--add-this-kernel' .run file option.
  • Compressed the nvidia-settings, nvidia-installer, and nvidia-xconfig tarballs with bzip2, rather than gzip.

De volgende downloads zijn beschikbaar:
*Linux Display Driver - x86
*Linux x64 (AMD64/EM64T) Display Driver
*Solaris Display Driver – x64/x86
*FreeBSD Display Driver – x86

Nvidia Linux Display Driver screenshot (481 pix)
Moderatie-faq Wijzig weergave

Reacties (8)

Kan iemand mij vertellen hoe ik dit Geďnstalleerd in ubuntu 10.04
Als ik door ctrl, alt en tegelijkertijd indruk. kom ik uit de grafische mode. Ik zet dan door middel van /etc/init.d/gdm stop de grafische mode uit. Ik doe dan sh en de naam van het driver bestand en hij start de instalatie wizard. Ik krijg in die wizard de volgende fout melding The distribution-provided pre install script failed Wie weet hoe ik dat kan oplossen.

[Reactie gewijzigd door Egbert Jan op 24 juni 2010 13:09]

Als het goed is ziet de auto-detectie vanzelf dat je een NVidia hebt. De laatste update krijg je vanzelf binnen.
Dit werkte vanochtend perfect voor mij (en deze is dus al precompiled):
http://www.webupd8.org/20...nvidia-25635-display.html

[Reactie gewijzigd door ERIKvanPAASSEN op 24 juni 2010 15:36]

Nog steeds geen fix voor de VAIO Schermen ;(

Werkt niet lekker met een 320x480 resolutie :P
Met een EDID file kun je het wel werkend krijgen, het is helaas alleen niet out of the box werkend.
Een hoop VDPAU fixes, ben benieuwd of dit zichtbaar is op de ION.
De actieve kernel module (in DKMS) zien te disablen en dan installeren vlgs. de door NVidia aangewezen methode. Zie ook hier:

http://uk.download.nvidia...README/installdriver.html
(Doe jezelf een plezier en neem de hele documentatie door, het scheelt een hoop ergernis als het op de automatische manier fout gaat.)

Alleen als je een nieuwe kernel compiled/installeerd moet je de NVidia kernel module ook opieuw compileren.

Of je kunt wachten op een precompiled versie van je distro. Normaliter duurt dit even.

[Reactie gewijzigd door Kosh66 op 24 juni 2010 13:11]

Hoewel niet officieel genoemd is er ook een versie voor 64 bits FreeBSD -- plaatje

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True